Package org.eclipse.cdt.core

## Interface IBinaryParser.IBinaryExecutable

All Superinterfaces:
  `org.eclipse.core.runtime.IAdaptable`, `IBinaryParser.IBinaryFile`, `IBinaryParser.IBinaryObject`

All Known Subinterfaces:
  `IBinaryParser.IBinaryShared`

All Known Implementing Classes:
  `CygwinPEBinaryExecutable`, `CygwinPEBinaryExecutable64`, `CygwinPEBinaryShared`, `CygwinPEBinaryShared64`, `ElfBinaryExecutable`, `ElfBinaryShared`, `GNUElfBinaryExecutable`, `GNUElfBinaryShared`, `MachOBinaryExecutable`, `MachOBinaryExecutable64`, `MachOBinaryShared`, `MachOBinaryShared64`, `PEBinaryExecutable`, `PEBinaryExecutable64`, `PEBinaryShared`, `PEBinaryShared64`, `SOMBinaryExecutable`, `SOMBinaryShared`, `XCOFFBinaryShared`

Enclosing interface:
  IBinaryParser

    public static interface IBinaryParser.IBinaryExecutable
    extends IBinaryParser.IBinaryObject

An executable.

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.IBinaryParser.IBinaryFile

`ARCHIVE, CORE, EXECUTABLE, OBJECT, SHARED`

### Method Summary

All Methods Instance Methods Abstract Methods
`String[]` `getNeededSharedLibs()` Needed shared libraries for this executable

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.cdt.core.IBinaryParser.IBinaryFile

`getBinaryParser, getContents, getPath, getType`

### Methods inherited from interface org.eclipse.cdt.core.IBinaryParser.IBinaryObject

`getAddressFactory, getBSS, getCPU, getData, getName, getSymbol, getSymbols, getText, hasDebug, isLittleEndian`

### Method Detail

#### getNeededSharedLibs

    String[] getNeededSharedLibs()

Needed shared libraries for this executable

Returns:
  String[] array